Bug 583277 - [abrt] crash in system-config-keyboard-1.3.1-1.fc12: keyboard.py:136:write:IOError: [Errno 13] Permission denied: '//etc/sysconfig/keyboard'
[abrt] crash in system-config-keyboard-1.3.1-1.fc12: keyboard.py:136:write:IO...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-keyboard (Show other bugs)
12
ppc Linux
low Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
abrt_hash:140ad155
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-17 11:36 EDT by Jakub Zygmunt
Modified: 2010-12-03 10:46 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 10:46:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (688 bytes, text/plain)
2010-04-17 11:36 EDT, Jakub Zygmunt
no flags Details

  None (edit)
Description Jakub Zygmunt 2010-04-17 11:36:17 EDT
abrt 1.0.8 detected a crash.

architecture: ppc
cmdline: /usr/bin/python /usr/share/system-config-keyboard/system-config-keyboard.py
component: system-config-keyboard
executable: /usr/share/system-config-keyboard/system-config-keyboard.py
kernel: 2.6.32.10-90.fc12.ppc
package: system-config-keyboard-1.3.1-1.fc12
reason: keyboard.py:136:write:IOError: [Errno 13] Permission denied: '//etc/sysconfig/keyboard'
release: Fedora release 12 (Constantine)

backtrace
-----
keyboard.py:136:write:IOError: [Errno 13] Permission denied: '//etc/sysconfig/keyboard'

Traceback (most recent call last):
  File "/usr/share/system-config-keyboard/keyboard_gui.py", line 236, in _okClicked
    return self.apply(None, False)
  File "/usr/share/system-config-keyboard/keyboard_gui.py", line 114, in apply
    self.kbd.write()
  File "/usr/lib/python2.6/site-packages/system_config_keyboard/keyboard.py", line 136, in write
    file = open(instPath + "/etc/sysconfig/keyboard", "w")
IOError: [Errno 13] Permission denied: '//etc/sysconfig/keyboard'

Local variables in innermost frame:
self: <system_config_keyboard.keyboard.Keyboard instance at 0x484b4058>
instPath: '/'
Comment 1 Jakub Zygmunt 2010-04-17 11:36:19 EDT
Created attachment 407278 [details]
File: backtrace
Comment 2 Bug Zapper 2010-11-03 12:54:19 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-12-03 10:46:26 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.